Subject: Re: [RFC] Triangular Workflow: user friendly full implementation

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 May 2016 11:30:16 -0700

Jordan DE GEA <[email-masked]> writes:

> We are working on full implementation of triangular workflow feature.
> For now, the main options available are: 
> 	 - branch.<name>.pushRemote
> 	 - remote.pushDefault
> And only setable by hands. 

And once it is set, you do not have to worry about it.  I am not
sure per-branch thing is all that useful, unless you are always
working on a single branch like 'master', but the latter would be
just set once and forget about it.

> Context:
> 	- One main remote repository, e.g. git/git.
> 	- A remote fork (e.g. a GitHub fork) of git/git, e.g. me/git.
> 	- A local clone of me/git on the machine
> Purposes:
> 	- the local branch master has to fetch to git/git by default
> 	- the local branch master has to push to me/git by default

Wouldn't remote.pushDefault be the single thing you need to set just
once and forget about it?  Why would your users even want to do
these things ...

> 	c. add `git fetch --set-default` in order to set remote.fetchDefault
> 	d. add `git fetch --set-remote` in order to set branch.<name>.fetchRemote
> 	e. add `git pull --set-default` in order to set remote.fetchDefault
> 	f. add `git pull --set-remote` in order to set branch.<name>.fetchRemote
> 	a. add `git push --set-default` in order to set remote.pushDefault
> 	b. add `git push --set-remote` in order to set branch.<name>.pushRemote

... just to configure many variables every time they work on a new
branch?